Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.control
Interface Controller

All Superinterfaces:
  Cloneable, TestElement

All Known Implementing Classes:
  GenericController, ThreadGroup, TransactionController

public interface Controller
extends TestElement

This interface is used by JMeterThread in the following manner: while (running && (sampler = controller.next()) != null)

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Method Summary
`void` | `addIterationListener(LoopIterationListener listener)` Controllers have to notify listeners of when they begin an iteration through their sub-elements.
`void` | `initialize()` Called to initialize a controller at the beginning of a test iteration.
`boolean` | `isDone()` Indicates whether the Controller is done delivering Samplers for the rest of the test.
`Sampler` | `next()` Delivers the next Sampler or null

Methods inherited from interface org.apache.jmeter.testelement.TestElement
`addTestElement, canRemove, clear, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

Method Detail

### next

    public Sampler next()

  Delivers the next Sampler or null

  Returns:
    org.apache.jmeter.samplers.Sampler or null

### isDone

    public boolean isDone()

  Indicates whether the Controller is done delivering Samplers for the rest of the test. When the top-level controller returns true to JMeterThread, the thread is complete.

  Returns:
    boolean

### addIterationListener

    public void addIterationListener(LoopIterationListener listener)

  Controllers have to notify listeners of when they begin an iteration through their sub-elements.

### initialize

    public void initialize()

  Called to initialize a controller at the beginning of a test iteration.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.